Bug 1733397 - [DOCS] Need to update monitoring persistent storage too strong statements
Summary: [DOCS] Need to update monitoring persistent storage too strong statements
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.z
Assignee: Bob Furu
QA Contact: Junqi Zhao
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-26 01:08 UTC by Takayoshi Kimura
Modified: 2020-02-11 10:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-28 00:34:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4304511 None None None 2019-07-26 01:09:34 UTC

Description Takayoshi Kimura 2019-07-26 01:08:04 UTC
Document URL: 

https://docs.openshift.com/container-platform/4.1/monitoring/cluster-monitoring/configuring-the-monitoring-stack.html#configuring-persistent-storage

Describe the issue: 

There is a too strong statement about monitoring stack persistent storage.

> In OpenShift Container Platform 4.1 deployed on bare metal, Prometheus and Alertmanager cannot have persistent storage and are ephemeral only. For use cases other than bare metal, you must use dynamic provisioning to use persistent storage. In particular, do not use NFS for the monitoring stack.

The only important thing is "Use block storage. Network storage like NFS is not supported as it's known to lead data corruption."

The others are not needed, like:

- need dynamic provisioning
- bare metal cannot have persistent storage for monitoring stack

They are false. For example, bare metal with static provisioned iSCSI storage class PVs should be fine.

Suggestions for improvement: 

Additional information:

Comment 4 Takayoshi Kimura 2019-10-28 00:34:31 UTC
Seems like the following commit fixes this doc issue. Closing.

https://github.com/openshift/openshift-docs/commit/2e2723d92b9af11f35938a0e2c0f2b1480ff0323


Note You need to log in before you can comment on or make changes to this bug.